### Function

# Vips value_set_area

#### Declaration [src]

    void
    vips_value_set_area (
      GValue* value,
      VipsCallbackFn free_fn,
      void* data
    )

#### Description [src]

Set value to be a ref-counted area of memory with a free function.

#### Parameters

`value`

  Type: `GValue`

  Set this value.

  The data is owned by the caller of the function.

`free_fn`

  Type: `VipsCallbackFn`

  Data will be freed with this function.

  The argument can be `NULL`.

`data`

  Type: `void*`

  Set `value` to track this pointer.

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.